const APP_DISPLAY_NAME = "User Styles";
const APP_NAME = "userstyles";
const APP_PACKAGE = "/clav.co.uk/userstyles";
const APP_VERSION = "0.3.0";

//const APP_JAR_FILE = "styleselector.jar";
const APP_FOLDER = "userstyles"
const APP_CONTENT_FOLDER = "/";

const APP_SUCCESS_MESSAGE = "The User Styles menu should be available by right clicking the Style Selector after you next load Firebird.";

const INST_TO_PROFILE = "Do you wish to install "+APP_DISPLAY_NAME+" to your profile?\nThis will mean it does not need reinstalling when you update Firebird.\n(Click Cancel if you want "+APP_DISPLAY_NAME+" installing to the Firebird directory.)";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

// profile installs only work since 2003-03-06
var instToProfile = (buildID>2003030600 && confirm(INST_TO_PROFILE));

var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
setPackageFolder(getFolder(chromef,APP_FOLDER));
var err = addDirectory(APP_FOLDER);

if(err == SUCCESS) {
	var folder = getFolder(chromef, APP_FOLDER);
	var param = instToProfile ? (CONTENT | PROFILE_CHROME) : (CONTENT | DELAYED_CHROME);
	registerChrome(param, folder, "");
	err = performInstall();
	// 999 means installing over the top of an old version (I think) -- actually means REBOOT_NEEDED! :)
	if(err==SUCCESS || err==999) {
		alert(APP_DISPLAY_NAME+" "+APP_VERSION+" has been succesfully installed.\n"+APP_SUCCESS_MESSAGE);
	} else {
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else {
	alert("Failed to create " +APP_FOLDER +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to firebird/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}